////////////////////////////////
//
//   Brad Homer
//   Florida State University
//   CAP4601
//   Research Project
//   Summer 2013
//
//   main.cpp
//
////////////////////////////////

#include <iostream>
#include "halt.h"

using namespace std;

int main(int argc, char* argv[])
{
   if( argc < 2 ) {
      cout << "usage: main.x <filename> <input parameter 1> <input parameter 2> ..." << argc << endl;
      return -1;
   }

   try {

      if ( halt(argv[1], NULL ) ){
         cout << argv[1] << " halts." << endl;
      } else {
         cout << argv[1] << " runs forever." << endl;
      }

   } catch (exception& e) {
      cout << "Exception: " << e.what() << endl;
   }

   return 0;
}
